<?php
# Copyright(C) 2004-2007 INL
# Written by Victor Stinner <victor.stinner AT inl.fr>
#
# $Id$
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, version 3 of the License.
#
#  This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, see <http://www.gnu.org/licenses/>.

function log_exception($err)
{
    global $log_errors;
    $message = $err->getMessage();
    $log_errors[] = htmlspecialchars_decode($message);
    nuface_full_error_handler(_('Exception'), $message, $err->getFile(), $err->getLine(), $err->getTrace());
}

function nuface_exception_handler($exception)
{
    log_exception($exception);
}

set_exception_handler('nuface_exception_handler');
?>
